com.informix.util

## Class TraceOS

- java.lang.Object
- - com.informix.util.TraceOS

    public class TraceOS
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TraceOS(java.io.PrintWriter dataOS)`

### Method Summary

Methods
`boolean` `checkError()`
`void` `close()`
`void` `flush()`
`void` `print(java.lang.String data)`
`void` `println()`
`void` `println(boolean data)`
`void` `println(char data)`
`void` `println(char[] data)`
`void` `println(double data)`
`void` `println(float data)`
`void` `println(int data)`
`void` `println(short data)`
`void` `println(java.lang.String string)`
`void` `setDataOS(java.io.PrintWriter dataOS)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceOS

    public TraceOS(java.io.PrintWriter dataOS)

### Method Detail

#### setDataOS

    public void setDataOS(java.io.PrintWriter dataOS)

#### println

    public void println(java.lang.String string)

#### println

    public void println()

#### println

    public void println(int data)

#### println

    public void println(short data)

#### println

    public void println(boolean data)

#### println

    public void println(char data)

#### println

    public void println(char[] data)

#### println

    public void println(double data)

#### println

    public void println(float data)

#### print

    public void print(java.lang.String data)

#### checkError

    public boolean checkError()

#### flush

    public void flush()

#### close

    public void close()